Skip to main content
POST
/
payment-sources
Create payment source
curl --request POST \
  --url https://api.getenso.ai/payment-sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "HDFC Current Account",
  "type": "bank_transfer",
  "details": {
    "accountNumber": "123456789",
    "ifsc": "HDFC0001234"
  }
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json
name
string
required
Example:

"HDFC Current Account"

type
string
Example:

"bank_transfer"

details
object
Example:
{
  "accountNumber": "123456789",
  "ifsc": "HDFC0001234"
}

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)